System.Web 2.0.0.0 System.Web.Hosting.VirtualFileBase

The class is the base class for objects that represent files in a virtual file system. Typically, you would implement a descendent of the class for each object descendent in your Web application.

Represents a file object in a virtual file or resource space.

- Constructor
  To be added.

  Initializes a new instance of the class.

  The virtual path to the resource represented by this instance.
  2.0.0.0
- Property
  System.Boolean To be added. To be added.

  Gets a value that indicates that this is a virtual resource that should be treated as a file.

  2.0.0.0
- Method
  System.IO.Stream

  The method returns a stream containing the data treated as a file by the class. The stream is read-only and is seekable (the property is true).

  When overridden in a derived class, returns a read-only stream to the virtual resource.

  A read-only stream to the virtual file.

  2.0.0.0